Package org.flowable.task.api

# Interface TaskInfo

All Known Subinterfaces:
  `HistoricTaskInstance`, `Task`

public interface TaskInfo

Author:
  Joram Barrez

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAssignee()`
  The user id of the person to which this task is delegated.
  `Map<String,Object>`
  `getCaseVariables()`
  Returns the case variables if requested in the task query
  `String`
  `getCategory()`
  The category of the task.
  `String`
  `getClaimedBy()`
  The user reference that claimed this task
  `Date`
  `getClaimTime()`
  The claim time of this task
  `Date`
  `getCreateTime()`
  The date/time when this task was created
  `String`
  `getDescription()`
  Free text description of the task.
  `Date`
  `getDueDate()`
  Due date of the task.
  `String`
  `getExecutionId()`
  Reference to the path of execution or null if it is not related to a process instance.
  `String`
  `getFormKey()`
  The form key for the user task
  `String`
  `getId()`
  DB id of the task.
  `List<? extends IdentityLinkInfo>`
  `getIdentityLinks()`
  Returns the identity links.
  `Date`
  `getInProgressStartDueDate()`
  In progress start due date of the task.
  `String`
  `getInProgressStartedBy()`
  The user reference that put this task in progress
  `Date`
  `getInProgressStartTime()`
  The date/time when this task was put in progress
  `String`
  `getName()`
  Name or title of the task.
  `String`
  `getOwner()`
  The user id of the person that is responsible for this task.
  `String`
  `getParentTaskId()`
  The parent task for which this task is a subtask
  `int`
  `getPriority()`
  Indication of how important/urgent this task is
  `String`
  `getProcessDefinitionId()`
  Reference to the process definition or null if it is not related to a process.
  `String`
  `getProcessInstanceId()`
  Reference to the process instance or null if it is not related to a process instance.
  `Map<String,Object>`
  `getProcessVariables()`
  Returns the process variables if requested in the task query
  `String`
  `getPropagatedStageInstanceId()`
  If this task runs in the context of a case and stage, this method returns it's closest parent stage instance id (the stage plan item instance id to be precise).
  `String`
  `getScopeDefinitionId()`
  Reference to a scope definition identifier or null if none is set (e.g. for bpmn process task it is null)
  `String`
  `getScopeId()`
  Reference to a scope identifier or null if none is set (e.g. for bpmn process task it is null)
  `String`
  `getScopeType()`
  Reference to a scope type or null if none is set (e.g. for bpmn process task it is null)
  `String`
  `getState()`
  The state of this task
  `String`
  `getSubScopeId()`
  Reference to a sub scope identifier or null if none is set (e.g. for bpmn process task it is null)
  `String`
  `getSuspendedBy()`
  The user reference that suspended this task
  `Date`
  `getSuspendedTime()`
  The suspended time of this task
  `String`
  `getTaskDefinitionId()`
  Reference to the task definition or null if it is not related to any task definition.
  `String`
  `getTaskDefinitionKey()`
  The id of the activity in the process defining this task or null if this is not related to a process
  `Map<String,Object>`
  `getTaskLocalVariables()`
  Returns the local task variables if requested in the task query
  `String`
  `getTenantId()`
  The tenant identifier of this task

- ## Method Details

  - ### getId

    String getId()
    DB id of the task.

  - ### getName

    String getName()
    Name or title of the task.

  - ### getDescription

    String getDescription()
    Free text description of the task.

  - ### getPriority

    int getPriority()
    Indication of how important/urgent this task is

  - ### getOwner

    String getOwner()
    The user id of the person that is responsible for this task.

  - ### getAssignee

    String getAssignee()
    The user id of the person to which this task is delegated.

  - ### getProcessInstanceId

    String getProcessInstanceId()
    Reference to the process instance or null if it is not related to a process instance.

  - ### getExecutionId

    String getExecutionId()
    Reference to the path of execution or null if it is not related to a process instance.

  - ### getTaskDefinitionId

    String getTaskDefinitionId()
    Reference to the task definition or null if it is not related to any task definition.

  - ### getProcessDefinitionId

    String getProcessDefinitionId()
    Reference to the process definition or null if it is not related to a process.

  - ### getScopeId

    String getScopeId()
    Reference to a scope identifier or null if none is set (e.g. for bpmn process task it is null)

  - ### getSubScopeId

    String getSubScopeId()
    Reference to a sub scope identifier or null if none is set (e.g. for bpmn process task it is null)

  - ### getScopeType

    String getScopeType()
    Reference to a scope type or null if none is set (e.g. for bpmn process task it is null)

  - ### getScopeDefinitionId

    String getScopeDefinitionId()
    Reference to a scope definition identifier or null if none is set (e.g. for bpmn process task it is null)

  - ### getPropagatedStageInstanceId

    String getPropagatedStageInstanceId()
    If this task runs in the context of a case and stage, this method returns it's closest parent stage instance id (the stage plan item instance id to be precise). Even if the direct parent of the task is a process which itself might have been created out of a process task of a case, its stage instance is reflected in the task.
    Returns:
      the stage instance id this task belongs to or null, if this task is not part of a case at all or is not a child element of a stage

  - ### getState

    String getState()
    The state of this task

  - ### getCreateTime

    Date getCreateTime()
    The date/time when this task was created

  - ### getInProgressStartTime

    Date getInProgressStartTime()
    The date/time when this task was put in progress

  - ### getInProgressStartedBy

    String getInProgressStartedBy()
    The user reference that put this task in progress

  - ### getClaimTime

    Date getClaimTime()
    The claim time of this task

  - ### getClaimedBy

    String getClaimedBy()
    The user reference that claimed this task

  - ### getSuspendedTime

    Date getSuspendedTime()
    The suspended time of this task

  - ### getSuspendedBy

    String getSuspendedBy()
    The user reference that suspended this task

  - ### getTaskDefinitionKey

    String getTaskDefinitionKey()
    The id of the activity in the process defining this task or null if this is not related to a process

  - ### getInProgressStartDueDate

    Date getInProgressStartDueDate()
    In progress start due date of the task.

  - ### getDueDate

    Date getDueDate()
    Due date of the task.

  - ### getCategory

    String getCategory()
    The category of the task. This is an optional field and allows to 'tag' tasks as belonging to a certain category.

  - ### getParentTaskId

    String getParentTaskId()
    The parent task for which this task is a subtask

  - ### getTenantId

    String getTenantId()
    The tenant identifier of this task

  - ### getFormKey

    String getFormKey()
    The form key for the user task

  - ### getTaskLocalVariables

    Map<String,Object> getTaskLocalVariables()
    Returns the local task variables if requested in the task query

  - ### getProcessVariables

    Map<String,Object> getProcessVariables()
    Returns the process variables if requested in the task query

  - ### getCaseVariables

    Map<String,Object> getCaseVariables()
    Returns the case variables if requested in the task query

  - ### getIdentityLinks

    List<? extends IdentityLinkInfo> getIdentityLinks()
    Returns the identity links.